Subject: Re: bug#17713: First portion of `bt full`

From: Geoff Shannon <[email-masked]>
Date: Fri, 6 Jun 2014 00:57:10 -0700

On Fri, Jun 6, 2014 at 12:49 AM, Eli Zaretskii <[email-masked]> wrote:

> > I took a look at the backtrace as well, and of the 3800 calls on the
> list,
> > ~3700 of them are from either mark_object or mark_vectorlike.
>
> Are you sure it is hung, and not in some very long GC?  I see nothing
> wrong in the backtrace you sent, it just shows that Emacs is
> collecting garbage.  Lots of it.  It is not unusual for GC to have
> tens of thousands of recursive calls to mark_object, because GC is
> highly recursive.
>

Not sure at all, but before I decided it was hung I let it sit for several
seconds at least.

> > I'm not sure what else to do (I'm not familiar with emacs c code at all),
> > but I can keep the hung emacs running in the debugger pretty much
> > indefinitely if that's useful.
>
> If you leave it running, does it eventually recover and become
> responsive again?  Or does it keep being stuck forever?
>

So I let it run in the debugger again.  It is still unresponsive, though it
is still blinking the
cursor.  It seems to be totally unresponsive to keystrokes and mouseclicks
(it's a GTK windowed emacs).

-- 
Geoff

Nothing is ever easy.